/*------------------------------------------------------------
 * Widgets
 *------------------------------------------------------------*/

.widget {

	& + .widget { margin-top: 4.5em; }

	.footer & {
		@media @mobile {
			text-align: center;
		}
	}

	.main-content &,
	.widget-area--content &,
	.footer__instagram & {
		text-align: center;

		& + .widget {
			margin-top: 2.8em;
		}

		&.widget_hygge_featured_banners + .widget,
		&.widget_hygge_blog_filmstrip_widget + .widget {
			margin-top: 4.5em;
		}

		&.widget_hygge_featured_banners + .widget_hygge_featured_banners {
			margin-top: 0;
		}

	}

}

.widget__title {
	line-height: 1;
	margin-bottom: 30px;
}

.widget-area--content {
	.clearfix;
	text-align: center;
	padding: 0;

	&.widget-area--before-content {
		margin-bottom: 4.5em;
	}

	&.widget-area--after-content {
		margin-top: 4.5em;
		margin-bottom: 4.5em;

		.content-wrapper.single-post & {
			margin-top: 0;
		}
	}
}

.sidebar {

	@media @tablet-v {
		.sidebar__content {
			columns: 2;
			column-gap: 30px;

			.widget {
				// overflow: hidden; /* Fix for firefox and IE 10-11, but breaks iPad  */
				-webkit-column-break-inside: avoid; /* Chrome, Safari, Opera */
				page-break-inside: avoid; /* Firefox */
				break-inside: avoid; /* IE 10+ */
				break-inside: avoid-column;
			}
		}
	}

	.widget {
		&.widget_hygge_about,
		&.widget_hygge_blog_list,
		&.widget_tag_cloud,
		&.widget_product_tag_cloud,
		&.widget_top_rated_products,
		&.widget_recently_viewed_products,
		&.widget_products {
			&:after {
				content: '';
				display: block;
				width: 30px;
				height: 3px;
				background: @grey-pale;
				margin-top: 20px;

				.grey-mode& {
					background: @grey-light;
				}

				.dark-mode& {
					background: @grey;
				}
			}
		}
	}
}





/* Links and WP widget lists
 *------------------------------------------------------------*/

.widget_nav_menu,
.widget_pages,
.widget_archive,
.widget_categories,
.widget_meta,
.widget_recent_comments,
.widget_recent_entries,
.widget_upcoming_events_widget,
.widget_authors,
.widget_product_categories,
.widget_rating_filter,
.widget_layered_nav,
.widget_layered_nav_filters {

	.footer__widgets & {
		& > div:not(.hygge-select-wrap),
		& > ul {
			@media @desktop {
				padding: 0 30px;
			}
		}
	}

	ul {
		margin: 0;
		padding: 0;
		list-style: none;
		.label;

		.children {
			padding-left: 20px;
		}
	}

	li {
		margin: 0;
		border-bottom: 1px solid @grey-light;
		padding-bottom: 12px;
		line-height: 1.5;

		.dark-mode & {
			border-bottom-color: @dark-border;
		}

		&:before,
		&:after {
			content: none;
		}

		&:not(:first-child) {
			padding-top: 13px;
		}

		ul {
			li {
				border-bottom: none;
				padding-bottom: 0px;
				padding-left: 13px;

				a {
					display: inline-block;
					padding: 2px 0;
				}

				&:not(:first-child) {
					padding-top: 0px;
				}
			}
		}
	}

	.main-content &,
	.widget-area--content &,
	.footer__instagram &,
	.footer {
		max-width: 600px;
		margin-left: auto;
		margin-right: auto;

		ul .children { padding-left: 0; }

		li {
			margin: 0;
			padding: 13px 0 12px !important;

			&:before,
			&:after {
				content: none;
			}
		}

		a {
			display: inline-block;
		}
	}
}

.widget_pages,
.widget_archive,
.widget_categories,
.widget_meta,
.widget_recent_comments,
.widget_recent_entries,
.widget_upcoming_events_widget,
.widget_authors,
.widget_product_categories,
.widget_rating_filter,
.widget_layered_nav,
.widget_layered_nav_filters {

	.footer__widgets & {

		li {
			display: block;
			line-height: 1;
			padding: 10px 0;
		}

		ul.children {
			padding-left: 20px;
		}
	}

	.footer {
		li {
			display: inline-block;
			padding: 5px 15px;
		}

		ul.children {
			display: inline-block;
			> li:first-child { padding-left: 30px; }
			> li:last-child { padding-right: 0; }
		}
	}

}

.widget_nav_menu {

	.footer__widgets & {
		.sub-menu {
			@media @tablet-h, @desktop {
				padding-left: 20px;
			}
		}

		a {
			display: block;
			line-height: 1;
			padding: 10px 0;
		}
	}

	.footer {

		ul:not(.sub-menu) {
			position: relative;
			display: inline-block;
			text-align: center;

			li {
				padding: 0;
				display: inline-block;
				float: none;

				a {
					display: inline-block;
					padding: 5px 15px;
				}
			}

			.sub-menu {
				float: left;
				white-space: nowrap;
			}
		}
	}

}





/* Widget RSS
 *------------------------------------------------------------*/

.widget_rss {
	ul {
		list-style: none;
		padding: 0;

		li {
			&:before,
			&:after {
				content: none;
			}

			cite {
				padding-top: 0;
				margin-bottom: 2.5em;

				.main-content &,
				.widget-area--content &,
				.footer__instagram & {
					text-align: center;
				}
			}
		}
	}

	.main-content &,
	.widget-area--content &,
	.footer__instagram &,
	.footer {
		max-width: 600px;
		margin-left: auto;
		margin-right: auto;
	}
}


/* Calendar
 *------------------------------------------------------------*/

.widget_calendar {
	table { width: 100%; }

	caption {
		.h4;
		.widget__title;
		text-align: left;
		color: @black;

		.dark-mode & {
			color: @white;
		}

		.main-content &,
		.widget-area--content &,
		.footer__instagram & {
			text-align: center;
		}
	}

	th, td {
		padding: 0;
		border: none;
	}

	td {
		text-align: center;
		font-size: 1.125em; /* 16px:18px */
		font-weight: 300;
		padding: 5px 0;
	}

	a {
		font-weight: 400;
	}

	thead {
		th {
			.label;
			border-top: 1px solid @grey-light;
			border-bottom: 1px solid @grey-light;
			padding: 10px 0;
		}
	}

	tbody {
		tr:first-child td { padding-top: 10px;}
		tr:last-child td { padding-bottom: 10px;}

		#today {
			background: @grey-pale;
			.rounded;

			.dark-mode & {
				background: @dark-border;
			}
		}
	}

	tfoot {
		td {
			.label;
			padding: 15px 0;
			border-top: 1px solid @grey-light;
			border-bottom: 1px solid @grey-light;
		}
	}

	#prev { text-align: left; }
	#next { text-align: right; }

	.dark-mode & {
		thead th,
		tfoot td {
			border-top-color: @dark-border;
			border-bottom-color: @dark-border;
		}
	}

	.main-content &,
	.widget-area--content &,
	.footer__instagram &,
	.footer {
		max-width: 600px;
		margin-left: auto;
		margin-right: auto;
	}

}



/* Tagcloud
 *------------------------------------------------------------*/

.tagcloud {
	.clearfix;
	.label;

	a {
		font-size: 1em !important;
		.hygge-list--bullet( @black );
		.link-color( @black, @primary-color );

		.dark-mode & {
			.hygge-list--bullet( @white );
			.link-color ( @white, @primary-color );
		}
	}

	.sidebar & {
		a:after {
			margin-right: 0;
		}
	}
}



/* WP Instagram Widget
 *------------------------------------------------------------*/

.null-instagram-feed {
	.clearfix;
	position: relative;

	.instagram-pics {
		margin: 0;
		padding: 0;
		list-style: none;
		overflow: hidden;

		li {
			float: left;
			width: 50%;
			padding: 0;
			margin: 0;

			a {
				position: relative;
				display: block;
			}
		}
	}

	p {
		margin: auto;

		a {
			.label;
			position: absolute;
			top: 0;
			right: 0;
			display: block;
			line-height: 30px;
			padding: 20px 0;
			white-space: nowrap;
			-webkit-writing-mode: vertical-lr;
			writing-mode: vertical-lr;
			background: @primary-color;
			color: @white;

			&:hover {
				background: @black;
			}

			@media @mobile {
				display: none;
			}
		}
	}

	.widget__title ~ p a {
		top: ~"calc( 60px + " unit(@typo_h4_size, px) ~")";
	}

	// Footer Instagram
	.footer__instagram &,
	.footer & {
		text-align: center;
		margin-bottom: 0;

		.widget__title { display: none; }

		.widget__title ~ p a {
			top: 0;
		}

		.instagram-pics {
			display: flex;
			line-height: 1;

			@media @mobile {
				flex-wrap: wrap;
				li { flex-basis: 50%; }
			}

			@media @tablet-h {
				flex-wrap: wrap;
				li { flex-basis: 33.33% }
			}
		}
	}
}



/* About Author Widget
 *------------------------------------------------------------*/

.widget_hygge_about {

	img {
		margin-bottom: 25px;
	}

	.widget__title {
		margin-bottom: 20px;
	}

	.widget-text {

		& > * + * {
			margin-top: 20px;
			margin-bottom: 0;
		}
	}

	.main-content &,
	.widget-area--content &,
	.footer__instagram &,
	.footer {
		max-width: 600px;
		margin-left: auto;
		margin-right: auto;
	}

}



/* Social Widget
 *------------------------------------------------------------*/

.widget_hygge_social_icons {
	.footer__widgets & {
		text-align: center;
	}
}



/* Featured Banners
*------------------------------------------------------------*/

.hygge-featured-banners {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;

	.item {
		position: relative;
		width: 100%;

		.item__media {
			height: 0;
			padding-bottom: 66%;
			background-size: cover;
			background-position: 50% 50%;
		}

		.hygge-media-hover__hover {
			background-color: @white;
		}

		&:hover {
			.hygge-media-hover__hover {
				opacity: 0.3;
			}
		}

		.item__text {
			overflow: hidden;
			.placement;
			display: flex;
			align-items: center;
			justify-content: center;
			text-align: center;

			&__inwrap {
				position: relative;
				padding: 20px 15px;
				width: 70%;
				max-width: 680px;
				min-height: 50%;
				.transition;
				display: flex;
				align-items: center;
				justify-content: center;
				flex-direction: column;


				.item__text__bg {
					background-color: @white;
					.placement;
					.transition;
				}

				.item__title {
					position: relative;
					margin-bottom: 0;
				}

				.item__description {
					margin-bottom: 0;
					margin-top: 0.5em;
					position: relative;
					color: @black;
				}
			}

			&.dark-mode {
				.item__description {
					color: @white;
				}
			}
		}

		&:hover {
			.item__text__inwrap {
				position: relative;
			}
		}

	}

	@media @tablet {
		.item {
			flex: 1 1 50%;
		}
	}

	@media @tablet-h {
		.hygge-sidebar--false & {
			.item {
				flex: 1 1 0;
			}
		}
	}

	@media @desktop {
		.item {
			flex: 1 1 0;
		}
	}

	.sidebar & {
		display: block;

		.item {
			display: block;
			max-width: none;
			width: auto;
		}
	}
}





/* Image Banner
*------------------------------------------------------------*/

.widget_hygge_image_banner {

	& + .widget_hygge_image_banner { margin-top: 2.8em; }

	// If no media
	.item__text {
		height: 50px;
		width: 100%;
		margin: 0;
		display: flex;
		align-items: center;
		justify-content: center;
		.transition;
		background: @primary-color;

		&:hover {
			opacity: 0.8;
		}
	}

	// If has media
	.item__media {
		position: relative;

		.hygge-media-hover__hover {
			position: absolute;
			top: auto;
			bottom: 0;
			left: 0;
			right: 0;
			opacity: 1;
			height: 50px;
		}

		.item__text {
			position: absolute;
			bottom: 0;
			background: none;
		}

		&:hover {
			.hygge-media-hover__hover {
				height: 100%;
				opacity: 0.7;
			}

			.item__text {
				height: 100%;
			}
		}
	}
}




/* Ad Widgets
*------------------------------------------------------------*/

// wrapper when widget is in blog
.widget-area--blog {
	text-align: center !important;

	.post__inwrap {
		display: block !important;
	}
}

.widget--ad {
	text-align: center;
}



/* Mailchimp
*------------------------------------------------------------*/

.mc4wp-form {
	.widget-area--content & {
		max-width: 780px;
		margin: 1em auto 0;

		.hygge-form-label {
			margin-top: 0;

			@media @tablet, @desktop {
				display: inline-block;
				margin-right: 20px;
				width: 60%;
				max-width: 500px;
			}
		}
	}
}



/* Widget Slider
*------------------------------------------------------------*/

.widget_hygge_blog_slider {
	.main-content &,
	.widget-area--content &,
	.footer__instagram &,
	.footer {
		max-width: 400px;
		margin-left: auto;
		margin-right: auto;
	}
}
